function iconClick() {
    var place = [
	[38.894331,139.819547], // カフェテリア
	[38.893771,139.819431], // 事務室付近
	[38.893128,139.819452], // 図書室前
	[38.892443,139.819352], // ホール付近
	[38.893585,139.818951], // 学生棟内1
	[38.892972,139.818898]  // 学生棟内2
    ];
    var center = [38.893445,139.819209];
    var mymap = L.map("icon-click").setView(center, 17);
    // mymap.scrollWheelZoom.disable();
    L.tileLayer('//cyberjapandata.gsi.go.jp/xyz/std/{z}/{x}/{y}.png', {
	attribution:
	'<a href="http://maps.gsi.go.jp/development/ichiran.html">\
	国土地理院</a>'
    }).addTo(mymap);
    
    /* 目的地のマーカー */
    L.marker(place[0]).addTo(mymap);
    L.marker(place[1]).addTo(mymap);
    L.marker(place[2]).addTo(mymap);
    L.marker(place[3]).addTo(mymap);
    L.marker(place[4]).addTo(mymap);
    L.marker(place[5]).addTo(mymap);

    var key = Math.floor(Math.random()*6);

    var count = 3;
    document.getElementById("point").textContent = count;
    
    /* 移動するマーカー */
    var marker = L.marker(center).addTo(mymap);
    marker.bindPopup('鍵が隠されていると思う場所をクリック').openPopup();
    function moveIcon(e) {
	/* もし目的地付近にマーカーが移動したら文字を表示 */
	if ((e.latlng.lat >= 38.8943 && e.latlng.lat <= 38.8944) && (e.latlng.lng >= 139.8195 && e.latlng.lng <= 139.8196)) {
	    var pmarker = 0;
	} else if ((e.latlng.lat >= 38.8937 && e.latlng.lat <= 38.8938) && (e.latlng.lng >= 139.8194 && e.latlng.lng <= 139.8195)) {
	    pmarker = 1;
	} else if ((e.latlng.lat >= 38.8931 && e.latlng.lat <= 38.8932) && (e.latlng.lng >= 139.8194 && e.latlng.lng <= 139.8195)) {
	    pmarker = 2;
	} else if ((e.latlng.lat >= 38.8924 && e.latlng.lat <= 38.8925) && (e.latlng.lng >= 139.8193 && e.latlng.lng <= 139.8194)) {
	    pmarker = 3;
	} else if ((e.latlng.lat >= 38.8935 && e.latlng.lat <= 38.8936) && (e.latlng.lng >= 139.8189 && e.latlng.lng <= 139.8190)) {
	    pmarker = 4;
	} else if ((e.latlng.lat >= 38.8929 && e.latlng.lat <= 38.8930) && (e.latlng.lng >= 139.8188 && e.latlng.lng <= 139.8189)) {
	    pmarker = 5;
	} else {
	    pmarker = 6;
	}

	if (pmarker == key) {
	    marker.setLatLng(e.latlng).bindPopup("鍵を発見!").openPopup();
	} else if (pmarker == 6) {
	    marker.setLatLng(e.latlng).bindPopup(
		"さらにマーカーに近づいてください"
	    ).openPopup();
	    document.getElementById("point").textContent = count;
	} else {
	    count -= 1;
	    marker.setLatLng(e.latlng).bindPopup("ここにはない...").openPopup();
	    document.getElementById("point").textContent = count;
	}
    }
    mymap.on('click', moveIcon);
}
document.addEventListener("DOMContentLoaded", iconClick);
